package com.persagy.adm.diagram.core.model;

import com.google.gson.annotations.Expose;
import com.persagy.adm.diagram.core.model.base.AbstractComponent;
import com.persagy.adm.diagram.core.model.style.BaseStyle;

/**
 * 文字标签
 * @author zhaoyk
 */
public class Label extends AbstractComponent {

	public static final String TYPE = "label";

	@Expose
	private String content;

	@Expose
	private BaseStyle style;

	public Label() {
		this.compType = TYPE;
	}

	@Override
	public void layout() {

	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public BaseStyle getStyle() {
		return style;
	}

	public void setStyle(BaseStyle style) {
		this.style = style;
	}

}
